/**
 * woocommerce-theme.scss
 * Governs the general look and feel of WooCommerce sections of stores using themes that do not
 * integrate with WooCommerce specifically.
 *
 */
/**
 *
 * IMPORT STYLES and VARIABLES FOR WOOPAGES(cart, checkout, my-account)
 *
 */
@import "variables-wootheme";
@import "woocommerce-pages";

/**
 * Woo-elements
 * Animations for woo-buttons
 */
@-webkit-keyframes spinner {
	from {
		-webkit-transform: rotateY(0deg);
	}
	to {
		-webkit-transform: rotateY(-36gu0deg);
	}
}

/* all other browsers */
@keyframes spinner {
	from {
		-moz-transform: rotateY(0deg);
		-ms-transform: rotateY(0deg);
		transform: rotateY(0deg);
	}
	to {
		-moz-transform: rotateY(-360deg);
		-ms-transform: rotateY(-360deg);
		transform: rotateY(-360deg);
	}
}

/**
 * Woo-elements
 * header cart-dropdown
 */
.woocommerce-cart .entry-content .woocommerce {
	padding-top: 30px;
	.wc-proceed-to-checkout {
		padding: 1em 0 1em;
		.checkout-button {
			border-radius: $border__radius;
			padding: 15px 30px;
		}
	}
	.cart-collaterals {
		padding-bottom: 3em;
	}
	.cart_totals {
		table.shop_table.shop_table_responsive {
			margin-top: 10px;
			tbody tr {
				&.cart-subtotal,
				&.order-total {
					td {
						padding-left: 5px;
						padding-right: 0;
					}
				}
				&.cart-subtotal {
					margin-bottom: 6px;
					padding-bottom: 0;
					th {
						line-height: 1.5;
					}
					th,
					td .woocommerce-Price-amount {
						font-weight: 400;
						font-size: 16px;
					}
				}
				&.order-total {
					th {
						line-height: 1;
					}
					th,
					td .woocommerce-Price-amount {
						font-weight: 400;
						font-size: 24px;
					}
				}
			}
		}
	}
	
	table.shop_table {
		margin-top: 0;
		margin-bottom: 0;
		border: none;
		thead {
			tr {
				th {
					text-transform: uppercase;
					padding: 19px 10px;
				}
			}
		}
		tbody {
			tr {
				td {
					padding: 20px 10px;
					&.product-remove {
						a.remove {
							left: 15px;
							&::before {
								content: '\f00d';
								font-family: FontAwesome;
								font-size: 18px;
								color: $woo_pink;
								@include transition(.3s ease all);
							}
						}
					}
					&.product-thumbnail {
						width: 60px;
					}
					&.product-price,
					&.product-subtotal {
						span {
							font-size: 16px;
						}
					}
					&.product-quantity {
						.input-text {
							width: 80px;
							height: 55px;
							border-radius: $border__radius;
						}
					}
					&.actions {
						padding: 30px 0;
						.comment-form-url {
							.input-text#coupon_code {
								height: 44px;
								font-size: 18px;
								padding: 5px 5px 5px 17px;
								width: 250px;
								margin: 0;
								@include media-breakpoint-down(sm) {
									width: auto;
								}
								@include media-breakpoint-down(xs) {
									width: 100%;
								}
							}
							input.button {
								padding: 15px 25px;
								@include media-breakpoint-down(xs) {
									width: 100% !important;
								}
							}
						}
						.header-btn {
							padding: 12px 15px;
							border-radius: $border__radius;
							font-size: 10px;
							margin-top: 5px;
						}
					}
				}
			}
		}
		.comment-form-url i {
			top: 21px;
		}
	}
}

.woocommerce-error {
	&:before {
		content: '\f00d';
	}
}

.woocommerce-info {
	&:before {
		content: '\f129';
	}
}

.woocommerce-message {
	&:before {
		content: '\f00c';
	}
}

#main table.tablesaw {
	border: 1px solid $wooborder_color;
}

.woocommerce .woocommerce-error,
.woocommerce .woocommerce-info,
.woocommerce .woocommerce-message {
	background: transparent;
	font-size: 16px;
	border-radius: 0;
	text-align: left;
	width: 100%;
	border: none;
	margin: 0 0 3.3em;
	
	.wc-forward {
		padding: 0;
		border: none;
		line-height: 29px;
		background: transparent !important;
	}
	
	&:before {
		font-size: 20px;
		top: 50%;
		left: 15px;
		@include font-awesome-icon;
		@include translate(0, -50%);
		@include media-breakpoint-up(sm) {
			left: 20px;
		}
	}
	
	.button {
		float: right;
		margin: 0 0 0 20px;
		
		.woocommerce & {
			float: none;
			padding: 11px 19px 12px;
			border: none;
		}
	}
	
	.single-product & {
		text-align: left;
		
		.button {
			margin: 10px 0 0 20px;
			float: right;
			
			@include media-breakpoint-up(md) {
				margin-top: 0;
			}
		}
	}
}

.woocommerce-message {
	&:before {
		color: $woo_green;
	}
}

.woocommerce ul.woocommerce-error {
	background: lighten($woo_pink, 20%);
	border-radius: $border__radius;
	color: $color__not-valid;
	&:before {
		color: $color__not-valid;
		@include translate(0, -60%);
	}
}

/**
 * Woo-elements
 * header cart-dropdown
 */
.woocommerce-mini-cart__empty-message {
	text-align: left;
}

.site-header-cart {
	position: relative;
	text-align: right;
	
	.site-header-cart__wrapper {
		display: inline-block;
		text-align: left;
		
		i {
			font-size: 18px;
			line-height: 35px;
		}
		
		.shopping_cart-dropdown-wrap {
			top: 60px;
			right: 0;
			left: auto;
			@include translate(0, 0);
			transition: 0.3s all ease;
			pointer-events: none;
			visibility: hidden;
			margin-top: 19px;
			box-shadow: $box__shadow_3;
			
			&::after {
				content: '';
				@include triangle(top, 13px, 8px, white);
				position: absolute;
				top: -8px;
				right: 10px;

				.jet-mobile-menu-active & {
					right: 50%;
					transform: translateX(50%);
				}
			}
			
			.cart_list .mini_cart_item .remove::before {
				@include font-awesome-icon;
				content: '\f00d';
			}
			
			.mini_cart_item_title {
				font-size: 16px;
				line-height: 1;
				@include transition(.3s ease all);
			}
			
			.quantity {
				font-size: 12px;
				strong {
					font-size: 16px;
				}
				.woocommerce-Price-amount {
					font-size: 14px;
				}
			}
			
			.woocommerce-mini-cart__bottom-wrap {
				margin: 0 -30px -30px -30px;
				padding: 0 30px 30px 30px;
				text-align: center;
				@include media-breakpoint-down(xs) {
					margin: 0 -15px -15px -15px;
				}
			}
			
			.woocommerce-mini-cart__total {
				font-size: 18px;
			}
			
			.woocommerce-mini-cart__buttons a {
				#page & {
					display: inline-block;
				}
				padding: 15px 50px;
				margin-right: 0;
			}
			
			.total {
				border: none;
			}
			a.remove {
				top: 10px;
			}
		}
		
		.shopping_cart-dropdown-wrap {
			margin-top: 19px;
		}
		
		&.open {
			
			.shopping_cart-dropdown-wrap {
			}
			
			.shopping_cart-dropdown-wrap {
				top: 100%;
				@include opacity(1);
				visibility: visible;
				pointer-events: auto;
			}
		}
	}
	
	.cart-contents {
		text-align: right;
		cursor: pointer;
		white-space: nowrap;
		position: relative;
		padding-right: 12px;
		
		.count {
			vertical-align: middle;
			position: absolute;
			color: white;
			width: 17px;
			height: 17px;
			font-size: 9px;
			line-height: 17px;
			overflow: hidden;
			text-overflow: ellipsis;
			top: 5px;
			right: -1px;
			text-align: center;
			border-radius: 50%;
		}
	}
	.shopping_cart-dropdown-wrap {
		position: absolute;
		width: 250px;
		top: -999em;
		right: 0;
		z-index: 100;
		background: $color__white;
		@include opacity(0);
		@include translate(0, 10px);
		@include transition(transform .2s ease, opacity .2s ease, top 0s linear .2s);
		padding: 15px;
		
		@include media-breakpoint-up(sm) {
			padding: 30px;
			width: 275px;
		}

		.jet-mobile-menu-active & {
			right: calc(50% + 5px);
			transform: translateX(50%);
		}
		
		&.products_in_cart_0 {
			text-align: center;
			
			.empty {
				text-align: center;
			}
		}
		
		.shopping_cart-header {
			h4 {
				text-align: left;
				text-transform: uppercase;
				font-weight: 400;
			}
			> * {
				margin: 0;
			}
		}
		
		.product_list_widget {
			padding: 10px 0 0;
			max-height: 120px;
			overflow-y: auto;
			overflow-x: hidden;
			@include media-breakpoint-up(sm) {
				max-height: 239px;
			}
			@include media-breakpoint-up(sm) {
				max-height: 356px;
				li.mini_cart_item a img {
					width: 63px;
					margin-right: 10px;
				}
			}
			
			li {
				> a {
					font-size: 14px;
				}
			}
		}
		
		.total,
		.buttons {
			margin: 0;
		}
	}
}

/*
 * Banner widget
 */
.tm_banners_grid_widget_banner {
	position: relative;
	margin-bottom: 30px;
	
	@include media-breakpoint-up(md) {
		margin-bottom: 46px;
	}
	
	.tm_banners_grid_widget_banner_text {
		position: absolute;
		top: 50%;
		left: 50%;
		@include transform(translate(-50%, -50%));
		text-align: center;
		.woo-btn {
			border: none;
		}
	}
}

/**
 * Woo-elements
 * Styles for cart-widget
 */
.woocommerce.widget_shopping_cart {
	.shopping_cart-dropdown-wrap & {
		margin-bottom: 0;
	}
	
	.total {
		border: none;
		padding-top: 15px;
		padding-bottom: 15px;
		margin-bottom: 10px;
		strong {
			font-weight: 300;
		}
	}
	
	.woocommerce-mini-cart__bottom-wrap {
		text-align: center;
		.woocommerce-mini-cart__buttons {
			padding-bottom: 0;
			a {
				padding-left: 50px;
				padding-right: 50px;
				margin-right: 0;
				#page & {
					display: inline-block;
				}
			}
		}
	}
	
	.buttons {
		a.button {
			display: block;
			margin-bottom: 10px;
			
			&:last-child {
				margin-bottom: 0;
			}
		}
	}

	.widget_shopping_cart_content {
		.woocommerce-mini-cart__bottom-wrap {
			padding-bottom: 30px;
		}
	}
	
	ul.cart_list {
		text-align: left;
		padding-bottom: 10px;
		> li {
			margin: 0;
			padding: 10px 10px 10px 0;
			color: inherit;
			& + li {
				padding-top: 3px;
			}
			
			.quantity {
				font-size: 14px;
				.woocommerce-Price-amount {
					font-size: 16px;
				}
			}

			.mini_cart_item_title {
				padding-right: 15px;
			}

			a.remove {
				top: 3px;
				right: 20px;
			}
			
			.shopping_cart-dropdown-wrap & {
				padding: 15px 0 0;
				&:last-child {
					padding-bottom: 0;
				}
				
				&.empty {
					padding: 0;
				}
			}
			
			.footer-area & {
				padding: 0 0 20px;
			}
			
			img {
				float: left;
				margin: 0 15px 10px 0;
				width: auto;
				display: block;
				max-width: 42%;
				@include media-breakpoint-up(sm) {
					float: none;
					margin: 0 0 10px;
					max-width: 100%;
				}
				@include media-breakpoint-up(md) {
					float: left;
					margin: 0 15px 10px 0;
					max-width: 42%;
				}
				.site-header-cart & {
					@include media-breakpoint-up(sm) {
						float: left;
						margin: 0 15px 10px 0;
						max-width: 42%;
					}
				}
			}
			
			& + li {
				.footer-area & {
					padding-top: 22px;
				}
			}
			
			dl {
				display: block;
				overflow: hidden;
				margin: 5px 0 5px;
				padding-left: 0;
				border: none;
				font-size: 11px;
				
				dt,
				dd {
					display: inline-block;
					float: left;
					margin-bottom: 1em;
				}
				
				dt {
					font-weight: 700;
					padding: 0;
					margin: 0 4px 0 0;
					clear: left;
				}
				
				dd {
					padding: 0;
					margin: 0;
					p:last-child {
						margin-bottom: 0;
					}
				}
			}
			
			.quantity {
				display: block;
				overflow: hidden;
			}
		}
	}
}

/**
 * Woo-elements
 * Styles cart-widget for sidebars
 */
.woocommerce.widget_shopping_cart .cart_list {
	overflow: hidden;
	
	.shopping_cart-dropdown-wrap & {
		overflow-y: auto;
		overflow-x: hidden;
		max-height: 310px;
	}
	
	.full-width-header-area &,
	.after-content-full-width-area & {
		@include media-breakpoint-up(sm) {
			@include flexbox();
			@include flex-direction(row);
			@include flex-wrap(wrap);
			@include justify-content(flex-start);
			@include align-content(stretch);
			@include align-items(stretch);
		}
	}
	
	li {
		position: relative;
		.sidebar & {
			padding: 0 0 10px 0;
		}
		.full-width-header-area &,
		.after-content-full-width-area & {
			@include media-breakpoint-up(sm) {
				@include flex(0 1 50%);
				&:nth-child(1),
				&:nth-child(2) {
					border-top: none;
				}
			}
			
			@include media-breakpoint-up(sm) {
				@include flex(0 1 33%);
				max-width: 33%;
				&:nth-child(3) {
					border-top: none;
				}
			}
		}
		
		a.remove {
			position: absolute;
			top: 15px;
			right: 5px;
			left: auto;
			margin-left: 0;
			line-height: 1.18em;
			@include opacity(0);
			@include transition(all .2s ease);
			text-indent: -1000px;
			
			.shopping_cart-dropdown-wrap & {
				top: 0;
				right: 5px;
				left: auto;
				margin-left: 0;
			}
			
			&:before {
				position: absolute;
				top: 0;
				left: 0;
				hyphens: none;
				word-wrap: normal;
				text-indent: 0;
			}
		}
		
		&:hover {
			a.remove {
				@include opacity(1);
			}
		}
		
		&.empty {
			border-bottom: none;
			padding-bottom: 12px;
		}
	}
}

//END-CART

/**
 * Woo-elements
 * Currency-Switcher header
 */
.woocommerce-currency-switcher-form {
	height: 41px;
	max-width: 250px;
	
	.dd-selected-image {
		display: none !important;
	}
	
	.dd-container {
		.widget-area & {
			border: 1px solid;
			
			.dd-selected {
				padding: 15px;
			}
			
			.dd-pointer-down {
				right: 2px;
			}
			
			.dd-options {
				width: 100% !important;
			}
		}
		
		.dd-select {
			background: transparent !important;
			border: none;
			border-radius: 0;
			cursor: pointer;
		}
		
		.dd-pointer {
			position: absolute;
			right: 0;
			top: 50%;
			margin-top: 0;
			@include transform(translate(0, -50%));
			border: none !important;
			width: 15px;
			height: 15px;

			&.dd-pointer-down {
				&:after {
					content: "\ee47";
				}
			}
			
			&.dd-pointer-up {
				&:after {
					content: "\e939";
				}
			}
			
		}
		
		.dd-selected {
			padding: 0;
			
			label {
				cursor: pointer;
				font-weight: 300;
			}
			
			.dd-desc {
				display: none;
			}
		}
		
		.dd-options {
			width: 150px !important;
			border: none;
			box-shadow: 0px 3px 5px #ddd;
			
			@include media-breakpoint-down(sm) {
				right: 0;
			}
			
			a.dd-option {
				background: transparent;
				border: none;
				font-weight: 300;
				
				.dd-option-text {
					font-size: 14px;
				}
				
				.dd-desc {
					font-size: 12px;
				}
			}
		}
	}
}

.widget.woocommerce {
	> select {
		max-width: 250px;
		width: 250px;
		appearance: none;
		
		&::-ms-expand {
			opacity: 0;
		}
	}
}

//END-SWITCHER

/**
 * Woo-elements
 * Styles for price and rating
 *
 */
.woocommerce {
	.products .product .price,
	div.product .woocommerce-variation-price span.price,
	div.product span.price,
	.price, div.product p.price,
	&.widget .woocs_price_code {
		display: block;
		
		ins {
			border: none;
			font-style: normal;
		}
		
		del {
			opacity: 1;
			display: inline;
			font-size: 12px;
		}
	}
	
	div.product .woocommerce-variation-price span.price,
	div.product p.price {
		font-size: 40px;
		line-height: 1.1em;
	}
	
	// rating styles
	.star-rating,
	.product .star-rating,
	.stars {
		font-size: 0.6em;
		color: $woo_yellow;
		margin: 0 auto;
		width: 6.3em;
		height: 2em;
		line-height: 2;
		
		&::before {
			content: '\73  \73  \73  \73  \73';
		}
		span {
			&::before {
				content: '\53  \53  \53  \53  \53';
			}
		}
	}
	
	.stars {
		color: $woo_stars_col;
		
		a {
			color: $woo_stars_col;
			
			&:hover {
				color: $woo_yellow;
			}
		}
		
		&:hover {
			color: transparent;
		}
	}
	
	.product .star-rating {
		margin-top: 9px;
	}
}

/**
 * Woo-elements
 * WooButtons
 *
 */
.add_to_cart_button {
	@include btn();
}

.tm-quick-view-popup__content .woocommerce-product-details__short-description {
	margin-bottom: 15px;
}

.woocommerce {
	a.added_to_cart {
		display: none;
	}
	
	table.cart input.header-btn {
		
		&:disabled {
			opacity: 0.5;
			border-color: transparent;
		}
	}
	
	#respond input#submit,
	a.button,
	button.button,
	input.button,
	#respond input#submit.alt,
	a.button.alt,
	button.button.alt,
	input.button.alt,
	input.button:disabled,
	input.button:disabled[disabled],
	a.button.loading {
		@include btn();
		
		&.add_to_cart_button,
		&.single_add_to_cart_button,
		&.product_type_variable,
		&.product_type_simple {
			border-radius: $border__radius;
			font-size: 10px;
			line-height: 9px;
			padding: 12px 15px;
			margin-top: 7px;
			&.loading::after {
				display: none;
			}
		}
	}
}

/**
 * Woo-elements
 * Styles for compare and wishlist
 *
 */
.woocommerce {
	//Main styles for compare wishlist buttons
	.product {
		&.hentry {
			margin-top: 0;
		}

		&.swiper-slide {
			.wishlist_compare_button_block {
				button.button.btn.tm-woowishlist-button,
				button.button.btn.tm-woocompare-button {
					.text {
						display: none;
					}
				}
			}
		}

		.wishlist_compare_button_block {
			button.button.btn.tm-woowishlist-button,
			button.button.btn.tm-woocompare-button {
				position: relative;
				.text {
					display: block;
					position: absolute;
					top: -20px;
					left: 50%;
					transform: translateX(-50%) translateZ(0);
					font-size: 10px;
					padding: 10px 6px;
					opacity: 0;
					visibility: hidden;
					border-radius: $border__radius;
					@include transition(.3s ease all);
					line-height: 1;
				}
				&:hover {
					.text {
						top: -35px;
						opacity: 1;
						visibility: visible;
					}
				}
			}
		}

		&:not(.product-list) {
			.wishlist_compare_button_block {
				button.button.btn,
				.tm-quick-view {
					visibility: hidden;
					opacity: 0;
					left: 50%;
					&.tm-woowishlist-button {
						transition: 0.3s all ease;
					}
					&.tm-woocompare-button {
						transition: 0.3s all ease;
						transition-delay: 0.1s;
					}
				}
			}
			&:hover {
				> .block_product_thumbnail .wishlist_compare_button_block {
					button.button.btn,
					.tm-quick-view {
						visibility: visible;
						opacity: 1;
						left: 0;
					}
				}
			}
		}
		
		.tm-woocompare-page-button.button.alt,
		.tm-woowishlist-page-button.button.btn {
			@include inline-flex();
			margin: 0 20px 0 5px;
			line-height: 30px;
			padding: 0;
			background: transparent;
			border: none;
			font-weight: 400;
			
			&:after {
				display: block;
				content: '';
			}
			
			&:hover {
				background: transparent;
				border: none;
			}
		}
	}
	
	&.single-product .summary .wishlist_compare_button_block,
	.single-product .summary .wishlist_compare_button_block {
		@include flexbox();
		@include flex-direction();
		@include flex-wrap(wrap);
		@include align-items(center);
		
		button.button.btn {
			margin: 0 15px;
			display: inline-block;
			
			visibility: visible;
			opacity: 1;
			left: 0;
		}
	}
	
	.wishlist_compare_button_block {
		z-index: 111;
		.tm-quick-view {
			@include transition(.3s ease all);
			a {
				line-height: 36px;
				@include transition(.3s ease all);
			}
		}
		button.button.btn,
		.tm-quick-view {
			width: 36px;
			height: 36px;
			padding: 0;
			margin: 0 0 5px 0;
			border-radius: 620px;
			background: white;
			display: block;
			text-align: center;
			font-size: 18px;
			overflow: visible;
			box-shadow: none;
			border: 1px solid;
			vertical-align: middle;
			
			span.text {
				display: none;
			}
			
			&:after {
				position: absolute;
				@include iconsmind;
				@include transform(translate(-50%, -50%));
				left: 50%;
				top: 50%;
			}
			
			&.tm-woocompare-button {
				&:after {
					content: "\eea6";
				}
				
				&.in_compare {
					&:after {
						content: "\e907";
						margin: 0;
					}
				}
				
				&.loading {
					opacity: 1;
					
					&:after {
						content: "\eea4";
						margin-top: -9px;
						margin-left: -15px;
						width: 30px;
					}
				}
			}
			
			&.tm-woowishlist-button {
				&:after {
					content: "\ec7b";
				}
				
				&.in_wishlist {
					&:after {
						content: "\e907";
						margin: 0;
					}
				}
				
				&.loading {
					opacity: 1;
					&:after {
						content: "\eea4";
						margin-top: -9px;
						margin-left: -15px;
						width: 30px;
					}
				}
			}
		}
	}
	
	.swiper-wrapper {
		.wishlist_compare_button_block {
			button.button.btn {
				span.text {
					top: 50%;
					left: auto;
					right: 300%;
					@include transform(translate(0, -50%));
					
					&:after {
						@include triangle(right, 4px, 4px, $woo_black);
						@include transform(translate(0, -50%));
						right: -4px;
						top: 50%;
						bottom: auto;
						left: auto;
					}
				}
				&:hover {
					span.text {
						left: auto;
						right: 115%;
					}
				}
			}
		}
	}
}

/**
 * Woo-elements
 * Order Received
 *
 */
.woocommerce-order-received {
	table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details {
		.woocommerce-Price-amount.amount {
			font-size: 18px;
			font-weight: 400;
		}
		tfoot {
			tr {
				th, td {
					font-weight: 400;
					font-size: 18px;
					padding: 5px 10px;
				}
			}
		}
	}
}

/**
 * Woo-elements
 * WooPagination
 *
 */
.woocommerce {
	nav.woocommerce-pagination {
		text-align: left;
		border: none;
		margin: 2em 0 4em;
		padding-top: 2em;
		border-top: 1px solid $wooborder_color;
		
		ul.page-numbers {
			border: none;
			background: none;
		}
		.page-numbers {
			overflow: hidden;
		}
		a.next,
		a.prev {
			&:before {
				display: block;
				position: absolute;
				@include font-awesome-icon;
				text-indent: 0;
				text-align: center;
				left: 0;
				width: 100%;
				font-size: 14px;
				line-height: 48px;
			}
		}
	}
}

/**
 * Woo-elements
 * Woo Badges
 *
 */
.woocommerce {
	.products .product {
		&:not(.product-list) {
			.woocommerce-loop-product__link {
				.tm-thumbs-wrap, .tm-thumbs-wrap__inner {
					width: 135px;
					margin: 0 auto;
				}
			}
		}
	}
	.products .product.product-list {
		span.featured,
		span.onsale,
		span.new {
			right: -10px;
		}
	}
	.single_product_wrapper {
		span.featured,
		span.onsale, 
		span.new {
			right: auto;
			left: -10px;
		}
	}
	.products .product span.onsale,
	span.featured,
	span.onsale,
	span.new {
		padding: 6px 8px;
		margin: 0;
		min-height: 0;
		min-width: 0;
		position: absolute;
		right: 61px;
		top: 22px;
		left: auto;
		font-size: 10px;
		line-height: 1;
		max-height: 30px;
		font-weight: 700;
		text-transform: uppercase;
		z-index: 6;
		border-radius: $border__radius;
		@include media-breakpoint-down(xs) {
			right: -10px;
		}
	}
}

/**
 * Woo-elements
 * Remove woocommerce grid system
 *
 */
.products.row {
	clear: both;
}

.woocommerce div.products.row {
	margin-left: -1.5625rem;
	margin-right: -1.5625rem;
}

.product-category-widget > a > img {
	width: 100%;
}

.shop_wrapper .products.row,
.page-description .woocommerce .products.row {
	clear: both;
}

/**
 * Woo-elements
 * Styles for listing products
 *
 */
.products {
	.product.swiper-slide:not(.product-list) {
		.wishlist_compare_button_block {
			right: 10px;
			@include media-breakpoint-down(xs) {
				right: -50px;
			}
		}
		.block_product_content h3 {
			margin-bottom: 0;
		}
		.product-categories {
			margin-bottom: 5px;
		}
		.star-rating {
			margin-top: 0;
		}
		.price ins {
			font-size: 16px !important;
		}
		span.featured,
		span.onsale,
		span.new {
			right: 50px;
			@include media-breakpoint-down(xs) {
				right: -10px;
			}
		}
	}
	.product {
		text-align: center;
		padding-bottom: 20px;
		@include media-breakpoint-up(sm) {
			padding-bottom: 0;
		}
		.block_product_thumbnail {
			position: relative;
			display: inline-block;
			z-index: 1;
			@include media-breakpoint-up(sm) {
				display: block;
			}
			
			img {
				display: inline-block;
			}
		}
	}
	.product:not(.product-list) {
		.wishlist_compare_button_block {
			position: absolute;
			right: 17px;
			top: -20px;
			@include media-breakpoint-between(md, lg) {
				right: 0;
			}
			@include media-breakpoint-down(xs) {
				right: -55px;
			}
		}
		.product-categories {
			padding: 0 20px;
		}
		h3 {
			padding: 0 50px;
		}
		&::before {
			#main & {
				width: 100%;
				margin: 0;
				@include media-breakpoint-up(xl) {
					width: 270px;
					margin: 0 auto;
				}
				@include media-breakpoint-down(xs) {
					width: 270px;
					margin: 0 auto;
				}
			}
		}
	}
	.product.swiper-slide {
		.block_product_content h3 {
			padding: 0;
		}
	}

	.product:not(.swiper-slide) {
		&.has-price:not(.product-list) {
			&:hover .block_product_content {
				.star-rating {
					bottom: 0;
				}
			}
		}

		&.product-list {
			&::before {
				display: none;
			}
		}
		
		&::before {
			content: '';
			position: absolute;
			top: -30px;
			right: 0;
			bottom: 0;
			left: 0;
			width: 100%;
			opacity: 0;
			height: 100%;
			@include transition(.3s ease all);
			z-index: 1;
			-webkit-box-shadow: 0 0 35px 2px rgba(0, 0, 0, 0.1);
			-moz-box-shadow: 0 0 35px 2px rgba(0, 0, 0, 0.1);
			box-shadow: 0 0 35px 2px rgba(0, 0, 0, 0.1);
			@include media-breakpoint-down(xs) {
				width: 270px;
				margin: 0 auto;
			}
		}
		&:hover::before {
			opacity: 1;
		}
		&:not(.product-list) {
			.block_product_content {
				padding-bottom: 30px;
				> a {
					position: absolute;
					bottom: -20px;
					left: 50%;
					@include translate(-50%, 0);
					opacity: 0;
					visibility: hidden;
				}
			}
			.star-rating {
				position: absolute;
				bottom: 30px;
				left: 50%;
				@include translate(-50%, 0);
				@include transition(.3s ease all);
				opacity: 0;
				visibility: hidden;
			}
			
			.star-rating + .price {
				@include transition(.3s ease all);
			}
			
			&.hover {
				z-index: 3;
			}
			
			&:hover {
				&::before {
					height: calc(100% + 115px);
				}
				.block_product_content {
					.star-rating + .price {
						@include translate(0, 33px);
					}
					
					> a {
						opacity: 1;
						visibility: visible;
						bottom: -45px;
						left: 50%;
						@include translate(-50%, 0);
						transform: translateX(-50%) translateZ(0);
					}
					.star-rating {
						visibility: visible;
						opacity: 1;
						bottom: 40px;
					}
				}
			}
		}
		
		.block_product_content {
			padding-bottom: 12px;
			position: relative;
			z-index: 1;
			h3 {
				margin-top: 0;
				margin-bottom: 0;
				display: block;
				max-width: 100%;
				overflow: hidden;
				-ms-text-overflow: ellipsis;
				text-overflow: ellipsis;
				white-space: nowrap;
				@include media-breakpoint-down(xs) {
					padding: 0 50px;
				}
			}
			.price {
				padding-bottom: 10px;
				margin-top: 10px;
			}
			@include media-breakpoint-up(sm) {
				padding-bottom: 32px;
			}
		}
		
		.product-categories,
		.product-widget-tags {
			text-align: center;
			margin-bottom: 1px;
			white-space: nowrap;
			overflow: hidden;
			text-overflow: ellipsis;
			
			li {
				display: inline;
			}
		}
		&.product-list {
			padding-left: 1.56rem;
			padding-right: 1.56rem;
			padding-bottom: 20px;
			width: 100%;
			@include media-breakpoint-up(sm) {
				padding-bottom: 70px;
			}
			&::before {
				@include media-breakpoint-down(xs) {
					display: none;
				}
			}
			
			.block_product_thumbnail {
				margin: 0 0 30px 0;
				@include media-breakpoint-up(lg) {
					margin: 0;
					float: left;
					width: 418px;
				}
			}
			
			.block_product_content {
				overflow: hidden;
				text-align: left;
				padding-top: 5px;
				@include media-breakpoint-up(sm) {
					padding-left: 30px;
				}
				@include media-breakpoint-down(md) {
					width: 100%;
					margin-top: 30px;
				}
				@include media-breakpoint-down(xs) {
					margin-top: 0;
				}
			}
			
			.product-categories {
				text-align: left;
				margin: -13px 0 4px 0;
			}
			
			h3 {
				margin-bottom: 8px;
				@include media-breakpoint-down(xs) {
					padding-left: 0;
				}
			}
			
			.price {
				font-size: 30px;
			}
			
			.star-rating {
				margin: 0 0 15px 0;
			}
			
			.desc_products_listing_line {
				margin: 0 0 15px 0;
			}
			
			.wishlist_compare_button_block {
				position: static;
				padding-top: 25px;
				
				button.button.btn,
				.tm-quick-view {
					display: inline-block;
					margin: 0 7px 0 0;
				}
			}
			
			&.product-category {
				text-align: left;
				
				> a {
					display: block;
					margin-bottom: 20px;
					@include media-breakpoint-up(sm) {
						float: left;
						margin: 0 50px 0 0;
					}
				}
				
				.title_count_block {
					padding: 0 0 20px 0;
					overflow: hidden;
					margin-top: 20px;
					
					h3 {
						display: block;
					}
					
					a {
						display: inline-block;
					}
				}
				
				.product-category__description {
					overflow: hidden;
					padding-bottom: 20px;
				}
			}
		}
	}
}

.term-description {
	padding-bottom: 30px;
}

.tm-products-sale-end-date {
	position: absolute;
	text-align: center;
	bottom: 10px;
	left: 0;
	right: 0;
	@include flexbox();
	@include flex-direction();
	@include flex-wrap(wrap);
	@include justify-content(center);
	@include align-items(center);
	
	span {
		width: 50px;
		height: 50px;
		margin: 0 3px;
		padding: 9px 0 0 0;
		border-radius: 620px;
		box-sizing: border-box;
		line-height: 16px;
		
		i {
			font-size: 12px;
			text-transform: capitalize;
			display: block;
			font-style: normal;
			font-weight: 400;
		}
	}
}

.tm-wc-ajax-products-wrapper {
	@include flexbox;
	@include flex-direction(row);
	@include flex-wrap(wrap);
	@include justify-content(flex-start);
	@include align-content(flex-start);
	@include align-items(flex-start);
	
	> p.woocommerce-result-count {
		padding-left: 30px;
	}
	
	.tm-wc-ajax-filters-wrapper {
		@include flex(1 1 100%);
		padding-bottom: 20px;
		
		.tm-wc-ajax-filters-attribute, .tm-wc-ajax-filters-price {
			padding: 8px 22px 8px 18px;
			font-size: 12px;
			line-height: 20px;
			border-radius: 0;
			transition: 0.3s all ease;
			
			.tm-wc-ajax-filters-dismiss {
				margin-left: 5px;
				margin-top: -2px;
				
				.dashicons {
					display: none;
				}
				
				&:after {
					@include font-awesome-icon;
					content: '\f00d';
					color: $woo_grey;
					@include transition(.3s ease all);
				}
				
			}
		}
		
		.tm-wc-ajax-filters-reset.button {
			padding: 8px 10px;
			margin: 0 0 10px 0;
			float: right;
			background: none;
			border: none;
			border-radius: 0;
			text-transform: none;
			font-weight: normal;
		}
	}
	
	.woocommerce-message {
		@include flex(1 1 100%);
	}
	
	.woocommerce-result-count {
		@include order(3);
		@include flex(1 1 100%);
		@include align-self(flex-start);
		margin: 0;
		font-size: 14px;
		line-height: 24px;
		text-align: left;
		padding: 23px 5px;
		font-weight: 700;
		@include media-breakpoint-up(sm) {
			@include flex(1 1 auto);
			@include order(2);
		}
		@include media-breakpoint-down(xs) {
			text-align: center;
			margin-bottom: 50px;
		}
	}
	
	.woocommerce-ordering {
		@include order(0);
		@include flex(0 1 auto);
		@include align-self(flex-end);
		position: relative;
		padding: 12px 0 12px 20px;
		margin: 0;
		@include media-breakpoint-down(xs) {
			width: 100%;
		}
		select {
			width: 200px;
			font-size: 14px;
			line-height: 24px;
			height: 45px;
			cursor: pointer;
			appearance: none;
			@include media-breakpoint-down(xs) {
				width: 100%;
			}
			
			&::-ms-expand {
				opacity: 0;
			}
		}
		
		&:after {
			position: absolute;
			right: 30px;
			top: 22px;
			@include iconsmind;
			font-size: 15px;
			line-height: 30px;
			content: "\e942";
			cursor: pointer;
			pointer-events: none;
		}
	}
	
	&.loading {
		.tm-woo-grid-list-toggle-button-wrapper {
			opacity: 1;
		}
	}

	.tm-woo-grid-list-toggle-button-wrapper {
		@include order(2);
		@include flex(1 1 auto);
		@include align-self(flex-end);
		margin: 0;
		padding: 10px 5px;
		
		@include media-breakpoint-down(sm) {
			width: 100px;
			text-align: center;
		}
		
	}
	
	.products.row {
		@include order(4);
		@include flex(1 1 100%);
		@include align-self(auto);
		max-width: calc(100% + 3.125rem);
		@include media-breakpoint-up(sm) {
			padding: 53px 0 0 0;
		}
	}
	
	.woocommerce-pagination,
	.pagination {
		@include order(6);
		@include flex(1 1 100%);
		@include align-self(auto);
	}
	
	.tm-wc-ajax-load-more-button {
		@include order(5);
		@include flex(0 1 auto);
		@include align-self(auto);
		margin-left: auto !important;
		margin-right: auto !important;
		body.woocommerce & {
			margin-top: 30px;
			padding: 10px 20px;
		}
		&.loading::after {
			body.woocommerce & {
				display: none;
			}
		}
	}
	
	.tm-woo-grid-list-toggle-button-wrapper {
		position: relative;
		
		.tm-woo-grid-list-toggle-button {
			display: block;
			
			.tm-woo-grid-list-toggler {
				background: none;
				display: inline-flex;
				width: 50px;
				height: 50px;
				padding: 11px 12px;
				box-shadow: none;
				transform: translate(0, -2px);
				transition: all 0.3s ease;
				text-align: center;
				
				.dashicons {
					font-size: 24px;
					width: 24px;
					height: 24px;
					
					&:before {
						@include iconsmind();
						width: 24px;
						height: 24px;
					}
				}
				&.tm-woo-grid-list-toggle-button-list {
					.dashicons {
						&:before {
							content: "\e9f4";
						}
					}
				}
				
				&.tm-woo-grid-list-toggle-button-grid {
					.dashicons {
						&:before {
							content: "\ee87";
						}
					}
				}
			}
		}
	}
}

/**
 * Woo-elements
 * SingleProduct Styles
 *
 */
.woocommerce {
	&.single-product div.product,
	.single-product div.product {
		margin-top: 30px;
		
		&.product-type-simple {
			.single_product_wrapper {
				form.cart {
					padding-top: 30px;
				}
			}
		}
		
		&.outofstock {
			.single_product_wrapper {
				div[itemprop="description"] {
					margin-bottom: 1.5em;
					padding-top: 1em;
				}
			}
		}
		
		h1.product_title {
			margin-bottom: 24px;
		}
		
		.single_product_wrapper {
			@include flexbox();
			@include flex-direction(row);
			@include flex-wrap(wrap);
			@include justify-content(flex-start);
			@include align-content(space-between);
			@include align-items(stretch);
			
			.images {
				@include flex(1 1 100%);
				position: relative;
				float: none;
				width: auto !important;
				@include media-breakpoint-up(sm) {
					@include flex(0 1 31%);
				}
				
				div.thumbnails {
					padding-top: 0;
					width: 100%;
					@include clearfix();
					
					.thumbnail {
						float: left;
						width: 29.33%;
						margin-top: 3.75%;
						cursor: pointer;
						padding: 5px;
						-webkit-box-shadow: 0 0 11px 0 rgba(0, 0, 0, 0.1);
						-moz-box-shadow: 0 0 11px 0 rgba(0, 0, 0, 0.1);
						box-shadow: 0 0 11px 0 rgba(0, 0, 0, 0.1);
						& + .thumbnail {
							margin-left: 3%;
							@include media-breakpoint-up(xs) {
								margin-left: 2.8%;
							}
						}
						
						&:hover,
						&.selected {
							img {
								opacity: 1;
							}
						}
						img {
							@include transition(.3s ease all);
							opacity: 0.5;
							transform: translateZ(0);
						}
						
					}
					
					.thumbnail.last {
						margin-right: 0;
					}
					
					.thumbnail.first {
						clear: both;
					}
					
					&.columns-1 {
						.thumbnail {
							width: 98%;
							margin-right: 0;
							float: none;
						}
					}
					
					&.columns-3 {
						.thumbnail {
							width: calc(35.05% - 10px);
							@include media-breakpoint-down(xs) {
								width: calc(33.33333333% - 2%);
							}
							&:nth-child(4n) {
								margin-left: 0;
							}
						}
					}
					
					&.columns-4 {
						.thumbnail {
							width: 21%;
						}
					}
					
					&.columns-5 {
						.thumbnail {
							width: 16%;
						}
					}
				}
			}
			
			.summary.entry-summary {
				float: none;
				width: auto;
				@include flex(1 1 100%);
				
				@include media-breakpoint-up(sm) {
					@include flex(0 1 69%);
					padding-left: 30px;
					@include flexbox();
					@include flex-direction(column);
					@include flex-wrap(nowrap);
				}
			}
			
			.enlarge {
				position: absolute;
				z-index: 95;
				display: block;
				font-size: 21px;
				color: $woo_grey;
				cursor: pointer;
				top: 10px;
				right: 10px;
				height: 40px;
				width: 40px;
				text-align: center;
				border-radius: $border__radius;
				i {
					line-height: 40px;
					display: inline-block;
				}
			}
		}
		
		.product_title.entry-title {
			margin-top: -10px;
			margin-bottom: 5px;
			@include order(0);
		}
		
		div[itemprop="offers"] {
			@include order(3);
		}
		
		.woocommerce-product-rating {
			margin-bottom: 15px;
			@include order(0);
			.star-rating {
				margin-top: 0;
			}
		}
		
		div[itemprop="description"] {
			@include order(5);
			margin-bottom: 22px;
		}
		
		.stock {
			@include order(2);
			margin: 23px 0 16px;
			font-size: 14px;
			font-weight: 800;
		}
		
		.wishlist_compare_button_block {
			@include order(7);
		}
		
		.product_meta {
			@include order(8);
		}
		
		.woo-social-buttons {
			@include order(9);
		}
		
		.woocommerce-review-link {
			float: left;
			margin: 0 0 0 20px;
			line-height: 1.4;
			font-size: 14px;
			font-weight: 400;
		}
		
		p.price {
			margin-bottom: 17px;
			del {
				font-size: 16px !important;
			}
		}
		
		p.price, .price ins {
			font-size: 24px !important;
		}
		
		form.cart {
			margin-bottom: 1em;
			@include order(6);
			@include media-breakpoint-up(md) {
				margin-bottom: 2.15em;
			}
			
			&.variations_form {
				margin-bottom: 30px;
			}
			
			.variations {
				margin-bottom: 0;
				
				td {
					display: block;
					overflow: hidden;
				}
				
				.label {
					label {
						font-weight: 300;
					}
				}
				
				td.value {
					position: relative;
					padding-bottom: 3px;
					i {
						position: absolute;
						z-index: 2;
						top: 20px;
						left: 45%;
						pointer-events: none;
						@include media-breakpoint-down(lg) {
							left: auto;
							right: 30px;
						}
					}
					
					select {
						@include media-breakpoint-down(lg) {
							width: 100%;
						}
					}
					
					.reset_variations {
						float: left;
						font-size: 14px;
					}
				}
				
				select {
					display: block;
					max-width: 100%;
					width: 80%;
					min-width: 0;
					cursor: pointer;
					appearance: none;
					@include media-breakpoint-up(sm) {
						width: 50%;
					}
					
					&::-ms-expand {
						opacity: 0;
					}
				}
			}
			
			.single_variation_wrap {
				.woocommerce-variation-price {
					padding: 0 0 15px;
				}
			}
			
			.variations_form {
				margin-bottom: 10px;
			}
			
			div.quantity {
				float: left;
				margin: 0 10px 0 0;
				position: relative;
				
				input[type="number"]::-webkit-inner-spin-button,
				input[type="number"]::-webkit-outer-spin-button {
					-webkit-appearance: none;
				}
				
				input.qty {
					width: 80px;
					text-align: center;
					appearance: none;
					line-height: 2.3;
					border-radius: $border__radius;
				}
				
				.tm-qty-minus,
				.tm-qty-plus {
					display: none;
				}
			}
			
			.button {
				clear: left;
				margin-top: 20px;
				font-size: 12px;
				padding: 22.5px 30px 22.5px 60px;
				&::before {
					content: '\e90a';
					@include iconsmind;
					font-size: 24px;
					position: absolute;
					top: 50%;
					@include translate(0, -50%);
					left: 25px;
				}
				@include media-breakpoint-up(sm) {
					clear: none;
					margin-top: 0;
				}
				
				@include media-breakpoint-up(md) {
					margin-top: 0;
				}
			}
		}
		
		.product_meta {
			font-size: 16px;
			line-height: 21px;
			padding-bottom: 10px;
			padding-top: 15px;
			a {
				font-weight: 300;
			}
		}
		
		.summary .wishlist_compare_button_block {
			padding-bottom: 15px;
			width: 100%;
			
			.tm-woowishlist-page-button {
				width: auto !important;
				box-shadow: none;
			}
			
			.button.button.btn {
				padding: 0;
				margin: 0;
				& + .btn {
					margin-left: 10px;
				}
				&.alt {
					width: auto;
					box-shadow: none;
				}
			}
			@include media-breakpoint-up(md) {
				width: 100%;
			}
			@include media-breakpoint-up(md) {
				padding-bottom: 20px;
			}
		}
		
		.woo-social-buttons {
			margin: 10px 0;
			@include order(7);
			> span {
				margin: 0 17px 0 0;
				
				&.custom {
					font-size: 16px;
					
					a {
						text-decoration: none;
						
						img {
							display: none;
						}
						
						&:after {
							font-family: fontawesome;
							width: 23px;
							height: 23px;
							line-height: 23px;
							font-size: 18px;
							display: inline-block;
							text-align: center;
						}
					}
					
					&.smsb_facebook a:after {
						content: '\f09a';
					}
					
					&.smsb_twitter a:after {
						content: '\f099';
					}
					
					&.smsb_googleplus a:after {
						content: '\f0d5';
					}
					
					&.smsb_linkedin a:after {
						content: '\f0e1';
					}
					
					&.smsb_pinterest a:after {
						content: '\f0d2';
					}
					
					&.smsb_tumblr a:after {
						content: '\f173';
					}
					
					&.smsb_stumbleupon a:after {
						content: '\f1a4';
					}
					
					&.smsb_vkontakte a:after {
						content: '\f189 ';
					}
					
					&.smsb_email a:after {
						content: '\f0e0';
					}
				}
			}
		}
		
		.sku_wrapper,
		.posted_in,
		.tagged_as {
			display: block;
		}
		
		.woocommerce-tabs {
			padding-top: 23px;
			
			.tabs {
				padding: 0;
				margin: 0;
				display: flex;
				justify-content: space-between;
				@include media-breakpoint-down(xs) {
					flex-wrap: wrap;
				}
				
				&:before {
					display: none;
					border: none;
				}
				
				li {
					text-align: center;
					border: none;
					border-radius: 0;
					padding: 0;
					background: none;
					flex: 1 1 auto;
					margin: 0;
					@include transition(.3s ease all);
					@include media-breakpoint-down(xs) {
						width: 100%;
					}
					
					a {
						padding: 16px 0;
						font-weight: 700;
						text-transform: uppercase;
						font-size: 12px;
						display: block;
					}
					
					&:before,
					&:after {
						display: none;
					}
					&.active,
					&:hover {
						background: none;
					}
				}
			}
			
			.panel {
				padding-top: 27px;
				
				h2, h1, h3, h4 {
					font-size: 22px;
					line-height: 37px;
					font-weight: 800;
					margin-bottom: 18px;
				}
			}
		}
		
		.related, .up-sells {
			padding-bottom: 3.2em;
			position: relative;
			
			> h6 {
				text-transform: uppercase;
				margin-bottom: 1em;
				font-size: 16px;
			}
		}
	}
	
	table.shop_attributes {
		margin-bottom: 10px;
		border: 1px solid;
		.alt td,
		.alt th {
			border: none;
			background: none;
		}
		
		tr {
			border-bottom: 1px solid;
			&:last-child {
				border-bottom: none;
			}
		}
		
		th {
			text-transform: capitalize;
			background: transparent;
			border: none;
			font-weight: 700;
			width: 100px;
			text-align: center;
			border-right: 1px solid;
		}
		
		td {
			background: transparent;
			padding-left: 30px;
			font-style: normal;
			border: none;
		}
		
		tr:nth-child(even) td,
		tr:nth-child(even) th {
			background: transparent;
		}
	}
	
	#reviews {
		#respond {
			.stars {
				margin-top: 2px;
			}
			#reply-title {
				font-weight: 700;
				font-size: 16px;
				margin-bottom: 27px;
			}
			.comment-form-rating {
				margin-bottom: 0;
			}
			.comment-notes {
				font-size: 14px;
				margin-bottom: 5px;
			}
			.comment-form-comment {
				margin-bottom: 0;
				padding-bottom: 0;
			}
			.form-submit {
				margin-top: 10px;
			}
		}
		.comment-form-rating {
			label {
				display: inline-block;
				vertical-align: top;
				margin-right: 10px;
				font-size: 14px;
				font-weight: 900;
			}
			
			.stars {
				font-size: 1em;
				display: inline-block;
				width: 6.7em;
				&::before,
				> span::before {
					display: none;
				}
				a {
					margin: 0 3px;
					&::before {
						content: '\e020';
						color: $woo_grey;
					}
					&:hover,
					&:hover::before {
						color: $woo_yellow;
					}
				}
				&.selected a:not(.active)::before,
				&.selected a.active::before {
					color: $woo_yellow;
				}
				&.selected a.active ~ a::before {
					color: $woo_grey;
				}
			}
		}
		
		#comments {
			ol.commentlist {
				padding-top: 20px;
				margin-bottom: 30px;
				
				li {
					img.avatar {
						width: 85px;
						border-radius: 620px;
						margin-top: -5px;
					}
					
					.children {
						@include media-breakpoint-down(xs) {
							margin-left: 0;
						}
					}
					
					.woocommerce-review__dash {
						display: none;
					}
					
					.woocommerce-review__published-date {
						font-weight: 400;
						font-size: 12px;
					}
					
					.comment-text {
						margin-left: 115px;
						padding: 0;
						border: none;
						border-radius: 0;
						position: relative;
						font-size: 14px;
						
						.star-rating {
							font-size: 12px;
							margin-top: 0;
						}
						
						p.meta {
							margin-bottom: 5px;
							
							strong {
								font-weight: 400;
								display: block;
								font-size: 12px;
								line-height: 1;
							}
						}
						
						.description {
							p {
								margin-bottom: 0;
								font-size: 16px;
								font-weight: 300;
							}
						}
					}
				}
			}
		}
	}
	
	.comment-form {
		padding: 0;
		flex: 0 0 100%;
		max-width: 100%;
	}
	
	.comment-form-author,
	.comment-form-email,
	.comment-form-comment {
		padding-bottom: 10px;
		
		input,
		textarea {
			padding-left: 25px;
			width: 100%;
		}
	}
}

.easyzoom {
	display: block;
	position: relative;
	width: 100%;
}

.easyzoom-flyout {
	position: absolute;
	overflow: hidden;
	pointer-events: none;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: $woo_comment_bg;
	border: none;
	border-radius: 4px;
}

.easyzoom-flyout img {
	width: auto !important;
	max-width: inherit;
}

.easyzoom img {
	vertical-align: bottom;
}

.easyzoom.is-ready a {
	cursor: crosshair;
}

.woocommerce .mfp-figure:after {
	display: none;
}

.woocommerce .mfp-bg {
	background: $color__white;
	opacity: 1;
}

/**
 * Woo-elements
 * Styles for woocommerce product widgets
 *
 */
.widget.woocommerce.widget_price_filter.widget_layered_nav.widget_tm_woo_ajax_filters {
	ul li.wc-layered-nav-term.chosen a {
		padding-left: 20px;
		&::before {
			position: absolute;
			left: 0;
			top: 6px;
			content: '';
		}
	}
}

.woocommerce.widget_products,
.woocommerce.widget_top_rated_products,
.woocommerce.widget_recent_reviews,
.woocommerce.widget_recently_viewed_products {
	> ul {
		.full-width-header-area &,
		.after-content-full-width-area & {
			@include media-breakpoint-up(sm) {
				@include flexbox();
				@include flex-direction(row);
				@include flex-wrap(wrap);
				@include justify-content(flex-start);
				@include align-content(stretch);
				@include align-items(stretch);
			}
			
			> li {
				@include flex(0 1 100%);
				max-width: 100%;
				@include media-breakpoint-up(sm) {
					@include flex(0 1 50%);
					max-width: 50%;
				}
				@include media-breakpoint-up(md) {
					@include flex(0 1 33%);
					max-width: 33%;
				}
				@include media-breakpoint-up(lg) {
					@include flex(0 1 25%);
					max-width: 25%;
				}
			}
		}
		
		> li {
			padding: 10px 10px 10px 0;
			& + li {
				border-top: 1px solid;
				padding-top: 18px;
			}
			
			> a {
				img {
					width: auto;
					float: left;
					margin: 0 20px 10px 0 !important;
				}
			}
			
			.product_widget_content {
				overflow: hidden;
			}
			.product-widget-categories {
				white-space: nowrap;
				overflow: hidden;
				text-overflow: ellipsis;
				margin: -7px 0 0 0;
				
				a {
					display: inline;
				}
			}
			
			.star-rating {
				margin: 5px 0 3px 0;
				
				.widget_recent_reviews & {
					margin-top: 10px;
				}
			}
		}
		
		.product-title {
			margin: 0;
			display: block;
			display: -webkit-box;
			-webkit-line-clamp: 2;
			-webkit-box-orient: vertical;
			overflow: hidden;
			text-overflow: ellipsis;
			font-weight: 700;
			text-transform: none;
			
			a {
				display: inline-block;
				font-weight: inherit;
			}
		}
		
		.price {
			font-weight: 400;
			display: block;
			margin: 0 0 5px;
			font-size: 14px;
			del {
				font-size: 14px;
			}
			ins {
				background: none;
				margin-right: 5px;
				text-decoration: none;
				font-size: 14px;
			}
		}
		span.reviewer {
			text-transform: capitalize;
			font-size: 14px;
			display: block;
			margin: 4px 0 8px;
			
			a {
				text-decoration: none;
			}
		}
		
	}
}

/**
 * Woo-elements
 * About store widget
 *
 */
.tm_about_store_widget {
	.tm_about_store_widget_bg {
		text-align: center;
		padding: 10em 10%;
		
		.sidebar & {
			padding: 20px 40px;
		}
		
		h3 {
			margin-bottom: 0.6em;
		}
		
		.textwidget {
			padding-bottom: 20px;
			text-align: center;
			
			span {
				display: block;
				padding-bottom: 1.5em;
			}
		}
		
	}
}

/**
 * Woo-elements
 * Custom menu widget
 *
 */
.widget___tm_custom_menu_widget .tm_custom_menu_widget {
	background-size: cover;
	background-position: 0 0;
	background-repeat: no-repeat;
}

.tm_custom_menu_widget {
	padding: 30px 15px 30px 42px;
	h3.widget-title {
		display: inline-block;
		position: relative;
		margin-bottom: 13px;
		
		&:after {
			position: absolute;
			left: 0;
			right: 0;
			bottom: 8px;
			content: "";
			@media (max-width: 1170px) {
				bottom: 0;
			}
		}
	}
	
	ul {
		width: 44%;
		@include media-breakpoint-down(sm) {
			width: 52%;
		}
		
		li {
			font-size: 14px;
			line-height: 20px;
		}
	}
}

//END-Custom Menu Widget with background

/**
 * Woo-elements
 * Styles for carousel
 *
 */
.widget_product_categories_image {
	position: relative;
}

.cross-sells {
	.products {
		@extend .row;
	}
}

.woocommerce.single-product div.product .related {
	@include media-breakpoint-down(xs) {
		padding-bottom: 20px;
	}
}

.tm_products_carousel_widget,
.widget_product_categories_image,
.related,
.up-sells,
.cross-sells {
	position: relative;
	
	.swiper-button-next,
	.swiper-button-prev {

		&,
		&.swiper-button-disabled {
			opacity: 0;
		}
	}
	
	&:hover {
		.swiper-button-next,
		.swiper-button-prev {
			opacity: 1;
		}
		
		.swiper-button-next.swiper-button-disabled,
		.swiper-button-prev.swiper-button-disabled {
			opacity: .5;
		}
	}
	
	.swiper-pagination-bullets {
		left: 50%;
		@include translate(-50%, 0);
	}
}

.woocommerce .swiper-pagination,
.woocommerce .swiper-container.swiper-container-horizontal .swiper-pagination {
	bottom: 0;
}

.tm-categories-carousel-widget-container,
.tm-products-carousel-widget-container {
	> div div {
		padding: 0;
	}
}

.tm-categories-carousel-widget-container .tm-categories-carousel-widget-wrapper,
.products .product-category {
	> a {
		display: inline-block;
		position: relative;
		@include media-breakpoint-up(sm) {
			display: block;
			margin-bottom: 15px;
		}
		
		img {
			display: block;
		}
	}
	.title_count_block {
		text-align: center;
		padding: 5px 0 10px;
		margin-bottom: 10px;
		margin-top: 15px;
		@include media-breakpoint-up(sm) {
			padding: 0 0 10px;
			margin-bottom: 30px;
		}
		
		h3 {
			margin: 0;
			transition: 0.3s ease all;
		}
		
		a {
			> span {
				font-size: 12px;
				line-height: 20px;
				transition: 0.3s ease all;
			}
		}
	}
}

/**
 * Woo-elements
 * Styles WooAttributeFilter
 *
 */
.woocommerce {
	.widget_layered_nav, .widget_layered_nav_filters {
		ul {
			li {
				font-size: 14px;
				line-height: 20px;
				padding: 7px 0;
				margin-top: 11px;
				margin-right: 10px;
			}
		}
	}
}

/**
 * Woo-elements
 * Styles WooFilter
 *
 */
.woocommerce .widget_price_filter {
	.tm_wc_price_filter_inputs {
		padding-bottom: 10px;
	}
	.tm_wc_price_filter_inputs_wrapper {
		.button {
			background-color: transparent;
		}
	}
	
	.price_slider_wrapper {
		
		.ui-slider-horizontal {
			height: 4px !important;
		}
		
		.ui-slider-horizontal {
			height: .1em;
			margin-bottom: 16px;
		}
		
		.ui-slider {
			&-range {
				height: 4px;
			}
			
			.ui-slider-handle {
				height: 16px;
				width: 16px;
				top: -.38em;
			}
		}
		
		.ui-widget-content {
			background: $woo_black;
		}
	}
	
	.price_slider_amount {
		@include flexbox();
		@include flex-direction(column);
		@include flex-wrap(wrap);
		@include justify-content(flex-start);
		@include align-content(flex-start);
		@include align-items(flex-start);
		
		.price_label {
			@include order(1);
			padding-bottom: 20px;
			text-transform: uppercase;
			font-size: 14px;
		}
		
		.button {
			@include order(2);
			font-size: 12px;
			border-radius: 0;
			background-color: transparent;
		}
	}
}

.product-categories,
.product-widget-tags {
	li {
		font-size: 12px;
		line-height: 20px;
		display: inline-flex;
		font-weight: 400;
		
		&:after {
			content: ",";
		}
		&:last-child:after {
			display: none;
		}
	}
}

/**
 * Woo-elements
 * Styles for categories list
 *
 */
.widget.widget_product_categories {
	.product-categories {
		li {
			font-size: 14px;
			line-height: 20px;
			font-style: normal;
			> ul.children {
				margin-left: 45px;
			}
			.full-width-header-area &,
			.after-content-full-width-area & {
				display: inline-flex;
				
				&:after {
					content: ",";
				}
				
				&:last-child:after {
					display: none;
				}
			}
			
			.sidebar & {
				display: block;
				
				&:after {
					content: '';
				}
			}
		}
	}
}

.woocommerce.widget_product_tag_cloud {
	.tagcloud {
		a {
			font-size: 12px !important;
			
		}
	}
}

/**
 * Woo-elements
 * Styles for SmartBox Widget
 *
 */
.widget.tm_products_smart_box_widget {
	margin-bottom: 51px;
	
	.widget-title {
		margin: 0 0 22px;
		text-align: center;
		@include media-breakpoint-up(sm) {
			border-bottom: none;
		}
		
		.sidebar & {
			border-bottom: 1px solid $wooborder_color;
		}
		
		@include media-breakpoint-up(sm) {
			text-align: left;
		}
	}
	.tabs_nav_container,
	.tabs_content_container,
	.tabs_products_container,
	.product_wrapper {
		.sidebar &,
		.footer-area & {
			@include flex(0 0 100%);
			max-width: 100%;
			display: block;
		}
	}
	
	.rd-material-tabs__list {
		padding: 0;
		position: relative;
		
		.sidebar & {
			padding: 12px;
			@include media-breakpoint-up(lg) {
				padding: 28px;
			}
		}
		
		.footer-area & {
			padding: 0;
			border: none;
		}
		
		ul {
			display: block;
			white-space: nowrap;
			text-align: left;
			font-size: 14px;
			margin-top: 2px;
			@include media-breakpoint-up(sm) {
				white-space: normal;
			}
		}
		
		.rd-material-tab {
			border: none;
			padding: 0;
			
			a {
				position: relative;
				display: block;
				text-align: left;
				padding: 7px 30px 7px 0;
			}
			@include media-breakpoint-up(sm) {
				a {
					padding: 4px 0 3px;
				}
				
				&.rd-material-tab-active {
					a:before {
						opacity: 1;
						visibility: visible;
					}
				}
			}
		}
	}
	.rd-material-tabs__container {
		.col-lg-8 {
			padding: 0;
			@include align-items(stretch);
		}
		
		.col-lg-4 {
			padding: 0;
			@include align-items(stretch);
		}
		
		.row {
			margin: 0;
			width: 100%;
		}
		
		.rd-material-tab {
			> .row {
				> div:first-child {
					display: block;
					width: 100%;
					max-width: 100% !important;
					@include flex(1 1 100%);
				}
				> div + div {
					display: none;
				}
			}
		}
	}
	.tm-products-smart-box-widget__rd-material-tabs {
		
		.widget-title {
			line-height: 1em;
			letter-spacing: 1.2px;
		}
		> .row > {
			.col-lg-3 {
				-webkit-background-clip: content-box;
				background-clip: content-box;
				@include align-items(stretch);
				@include media-breakpoint-up(sm) {
					padding-right: 40px;
					
					&:after {
						display: block;
						position: absolute;
						top: 0;
						bottom: 0;
						right: 25px;
						border-right: 1px solid $wooborder_color;
						content: "";
					}
				}
				@include media-breakpoint-up(lg) {
					min-height: 631px;
				}
			}
			.col-lg-9 {
				@include align-items(stretch);
				@include media-breakpoint-up(sm) {
					padding-left: 0;
				}
			}
		}
	}
	
	.tm-products-smart-box-widget__rd-material-tabs__container {
		margin-bottom: -2px;
		margin-right: -5px;
		margin-left: -2px;
		
		@include media-breakpoint-up(sm) {
			margin-right: -3px;
		}
		@include media-breakpoint-up(md) {
			margin-right: 0;
			margin-left: 0;
		}
		
		.sidebar & {
			border-left: none;
			margin-right: -1px;
			@include media-breakpoint-up(sm) {
				border-top: 1px solid $wooborder_color;
			}
		}
		
		.footer-area & {
			border-left: none;
			border-top: 1px solid $wooborder_color;
		}
		
		.row.collapsed {
			margin: 0 !important;
			
			& > div[class*="col-"] {
				padding: 0 !important;
			}
		}
		
		.rd-material-tabs__stage {
			@include media-breakpoint-up(sm) {
				border-left: none;
			}
			
			.rd-material-tab:first-child .col-xl-8 .row {
				height: 100%;
			}
			
			&,
			.rd-material-tab,
			.categories_row,
			.categories_row > div {
				@include flexbox;
				@include flex-direction(row);
				@include flex-wrap(nowrap);
				@include justify-content(flex-start);
				@include align-content(center);
				@include align-items(stretch);
			}
		}
		
		.col-lg-4 {
			overflow: hidden;
			max-height: 557px;
			
			> img {
				display: none;
				
				@include media-breakpoint-up(md) {
					display: block;
				}
			}
			
			@include media-breakpoint-up(sm) {
				max-width: 230px;
			}
			
			@include media-breakpoint-up(lg) {
				max-width: none;
				max-height: 631px;
			}
		}
	}
	
	.product_wrapper {
		@include flexbox;
		@include justify-content(center);
		@include align-items(flex-start);
		
		@include media-breakpoint-up(sm) {
			display: block;
		}
		
		.sidebar &,
		.footer-area & {
			@include flexbox;
			
			.product {
				@include flex(1 1 100%);
			}
		}
		
		.footer-area & {
			border-right: none;
			border-bottom: 1px solid $wooborder_color;
		}
	}
	
	.products_row {
		@include align-content(stretch);
		@include align-items(stretch);
	}
	
	.product {
		padding: 0 10px 10px;
		text-align: center;
		@include media-breakpoint-up(md) {
			padding: 0 25px 10px;
		}
		
		.sidebar &,
		.footer-area & {
			padding: 12px;
			@include media-breakpoint-up(lx) {
				padding: 20px;
			}
		}
		
		span.price,
		span.price ins,
		span.price del {
			transition: all .3s ease;
		}
		
		.price {
			del {
				font-size: 12px;
			}
		}
		
		h3 {
			margin: 8px 0;
			transition: all .3s ease;
		}
		
		.new,
		.onsale,
		.featured {
			top: 20px;
			left: 32px;
			position: absolute;
			@include media-breakpoint-down(sm) {
				left: 50%;
				@include transform(translateX(-50%));
			}
			@include media-breakpoint-up(sm) {
				top: 31px;
			}
		}
	}
	
	.thumb_wrapper__outer {
		display: none !important;
		@include media-breakpoint-up(md) {
			display: -ms-flexbox !important;
			display: -webkit-flex !important;
			display: flex !important;
			@include flex-direction(row);
			@include flex-wrap(nowrap);
			@include justify-content(flex-start);
			@include align-content(stretch);
			@include align-items(stretch);
		}
		.sidebar &,
		.footer-area & {
			display: none !important;
		}
	}
	
	.thumb_wrapper {
		display: block;
		border-left: 1px solid $wooborder_color;
		margin-left: -1px;
		@include order(0);
		@include flex(1 1 auto);
		@include align-self(auto);
		@include flexbox;
		@include flex-direction(row);
		@include flex-wrap(nowrap);
		@include justify-content(flex-start);
		@include align-content(stretch);
		@include align-items(center);
	}
	
	.widget-product-title {
		overflow: hidden;
		text-overflow: ellipsis;
		display: block;
		display: -webkit-box;
		-webkit-line-clamp: 2;
		-webkit-box-orient: vertical;
		white-space: normal;
	}
}

/*
* Styles for Checkout
*
*/
.woocommerce-checkout {
	.product-quantity {
		font-weight: 400;
	}
	table.woocommerce-checkout-review-order-table.shop_table {
		tbody {
			tr td.product-total {
				span.woocommerce-Price-amount {
					font-size: 16px;
				}
			}
		}
		tfoot {
			tr.cart-subtotal,
			tr.order-total {
				td, th {
					span,
					span.amount {
						font-weight: 400;
					}
				}
			}
		}
	}
	.woocommerce .woocommerce-billing-fields__field-wrapper label {
		padding-left: 0;
		font-size: 14px;
	}
	form.checkout_coupon {
		padding-bottom: 0;
		.form-row {
			margin-left: 0;
			.button {
				padding: 7px 20px;
				border-radius: 0;
			}
		}
	}
}

/*
* Styles for Wishlist & Compare
*
*/
.tm-woowishlist-remove,
.tm-woocompare-remove {
	.dashicons {
		display: none;
	}
	&:hover {
		opacity: 1;
	}
}

//Wishlist
.tm-woowishlist {
	padding: 40px 0 50px;
	
	.tm-woowishlist-item {
		padding-bottom: 25px;
		border-bottom: 1px solid $wooborder_color;
		display: flex;
		.tm-woowishlist-remove {
			top: 10px;
			
			&::before {
				color: $color__not-valid;
				content: '\f00d';
				font-family: FontAwesome;
				font-size: 16px;
				@include transition(.3s ease all);
			}
		}

		p {
			margin: 10px 0 10px;
		}
		.tm-woocomerce-list__product-title {
			a {
				font-size: 16px;
			}
		}
		.tm-woocomerce-list__product-image {
			float: none;
			margin-bottom: 0;
			padding-left: 30px;
		}

		.tm-woowishlist-remove{
			position: absolute;
			top: 30px;
			left: 0;
			width: 20px;
		}
		
		.wrap_elements {
			overflow: hidden;
			display: flex;
			flex: 0 1 100%;
			justify-content: space-between;
			align-items: flex-start;
			flex-direction: column;
			flex-wrap: wrap;
			
			@include media-breakpoint-up(md) {
				flex-direction: row;
				align-items: center;
			}
			
			.stock {
				font-weight: 800;
			}
		}
		
		.price {
			line-height: 1.2em;
			margin-top: 10px;
			margin-bottom: 10px;
		}
		
		.tm-woocomerce-list__product-title {
			margin: 10px 0 10px;
		}
	}
}

.tm-woocomerce-wishlist-widget-wrapper {
	.tm-woowishlist-widget-product {
		padding-top: 25px;
		
		.tm-woowishlist-remove {
			top: 0;
			&::before {
				content: '\f00d';
				@include font-awesome-icon;
			}
		}
		
		h3 {
			margin-bottom: 10px;
		}

		.tm-woocomerce-list__product-image {
			float: none;
			@include media-breakpoint-up(sm) {
				margin: 0 20px 0 0;
			}
		}
		
		div:not(class) {
			overflow: hidden;
			
			.price {
				margin-bottom: 20px;
			}
		}
		
	}
}

//Compare

.tm-woocompare-list {
	.tm-woocompare-wrapper {
		padding-bottom: 30px;
		@include media-breakpoint-down(xs) {
			padding: 30px 0;
		}
	}
	table.tm-woocompare-table {
		.tm-woocompare-row {
			border-top: 1px solid;
			&:first-child,
			&:first-child + .tm-woocompare-row {
				border-top: none;
			}
		}
		thead th,
		.tm-woocompare-cell,
		.tm-woocompare-row {
			background-color: transparent;
			border-right: 1px solid $wooborder_color !important;
			padding: 5px 35px 5px 30px;
			vertical-align: top;
			.tm-woocompare-heading-cell {
				border-right: 1px solid $wooborder_color !important;
				font-size: 14px;
				line-height: 1em;
				@include media-breakpoint-up(sm) {
					width: 150px;
				}
			}
			
			.tm-woocomerce-list__product-title {
				padding-top: 10px;
				font-size: 16px;
			}
			
			.button {
				margin: 10px 0;
			}
			
			.tm-woocompare-remove {
				top: 15px;
				right: 20px;
				left: auto;
				&::before {
					color: $color__not-valid;
					content: '\f00d';
					font-family: FontAwesome;
					font-size: 16px;
					@include transition(.3s ease all);
				}
			}
		}
		
		.tm-woocompare-row {
			.title {
				font-weight: 800;
			}
			
			.tm-woocompare-cell {
				font-size: 16px;
			}
		}
	}
	
	.tm-woocomerce-list__product-image {
		padding: 10px 0;
	}
}

.woocommerce .tablesaw-bar .tablesaw-advance a.tablesaw-nav-btn {
	border: none;
	box-shadow: none;
	background: none;
	opacity: 1;
	width: 30px;
	height: 30px;
	padding: 0;
	
	&:active, &:focus {
		box-shadow: none !important;
	}
	
	&:before {
		display: none;
	}
	
	&:after {
		@include font-awesome-icon();
		line-height: 30px;
	}
	
	&.left:after {
		content: "\f104";
	}
	
	&.right:after {
		content: "\f105";
	}
}

.tm-woocompare-wrapper {
	padding-top: 50px;
	
	.tablesaw-advance {
		padding-bottom: 10px;
		overflow: hidden;
	}
}

.tm-woocompare-widget-wrapper {
	.tm-woocompare-widget-products {
		padding-bottom: 20px;
	}
	
	.tm-woocompare-widget-product {
		margin-bottom: 0;
		padding-top: 20px;
		@include flexbox();
		@include flex-direction(row);
		@include flex-wrap(wrap);
		@include justify-content(flex-start);
		@include align-content(flex-start);
		@include align-items(flex-start);
		
		.tm-woocompare-remove {
			top: -10px;
			&::before {
				content: '\f00d';
				font-family: FontAwesome;
				font-size: 16px;
				@include transition(.3s ease all);
			}
		}
	}
	
	h3 {
		@include flex(1 1 100%);
		@include order(2);
		margin-bottom: 10px;
	}
	
	.tm-woocomerce-list__product-image {
		@include flex(0 1 auto);
		@include order(1);
	}
	
	.btn {
		width: 100%;
		margin-bottom: 10px;
		.woocommerce & {
			margin-bottom: 10px;
		}
	}
}

//Woocommerce loader, compare && wishlist
$loader-width: 30px;
$border-width: 3px;

.woocommerce .loader:before,
.woocommerce .blockUI.blockOverlay:before,
.tm-wc-ajax-products-wrapper .tm-wc-ajax-filters-loader span {
	position: absolute;
	left: 50%;
	top: 50%;
	width: $loader-width;
	height: $loader-width;
	margin: ($loader-width+$border-width)/-2 0 0 ($loader-width+$border-width)/-2;
	background-image: none;
	background-color: $color__bg-preloader-cover;
	border-radius: 50%;
	border: $border-width solid transparent;
	animation: presentor_spin 1s linear infinite;
	z-index: 11;
}

.products.row {
	&:before {
		display: none;
	}
}

.woocommerce .product-list .tm-woocompare-button,
.woocommerce .product-list .tm-woowishlist-button {
	border: none;
}

.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button {
	border-radius: $border__radius;
}

.woocommerce #respond input#submit.disabled,
.woocommerce #respond input#submit:disabled,
.woocommerce #respond input#submit:disabled[disabled],
.woocommerce a.button.disabled,
.woocommerce a.button:disabled,
.woocommerce a.button:disabled[disabled],
.woocommerce button.button.disabled,
.woocommerce button.button:disabled,
.woocommerce button.button:disabled[disabled],
.woocommerce input.button.disabled,
.woocommerce input.button:disabled,
.woocommerce input.button:disabled[disabled] {
	pointer-events: none;
}

.tablesaw-advance .btn.btn-micro {
	font-size: 1.4125em;
}
